#ifndef __WIRELESS_INIT_H
#define __WIRELESS_INIT_H


typedef struct PACKED {
    uint8_t         address_type;
    uint8_t         addr[6];
} wireless_addr_info_typedef; 


void ble_set_work_mode(BT_WORK_MODE mode);
BT_WORK_MODE ble_get_work_mode(void);

void bsp_wireless_init(void);
void bsp_wireless_link_info_write(wireless_addr_info_typedef *addr_info);
bool bsp_wireless_link_info_read(wireless_addr_info_typedef *addr_info);

void wireless_adv_init(bool adv_en);

void wireless_enter_sleep_hook(void);
void wireless_exit_sleep_hook(void);

#endif // __WIRELESS_INIT_H
